// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface GameSessionOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.GameSession)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @return The id.
   */
  java.lang.String getId();
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @return The bytes for id.
   */
  com.google.protobuf.ByteString
      getIdBytes();

  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  java.lang.String getArticleId();
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  com.google.protobuf.ByteString
      getArticleIdBytes();

  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   * @return Whether the data field is set.
   */
  boolean hasData();
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   * @return The data.
   */
  gg.dsepractice.chinese.v1alpha1.GameSessionData getData();

  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   * @return Whether the createdAt field is set.
   */
  boolean hasCreatedAt();
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   * @return The createdAt.
   */
  com.google.protobuf.Timestamp getCreatedAt();

  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   * @return Whether the mustEndBefore field is set.
   */
  boolean hasMustEndBefore();
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   * @return The mustEndBefore.
   */
  com.google.protobuf.Timestamp getMustEndBefore();

  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @return The enum numeric value on the wire for status.
   */
  int getStatusValue();
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @return The status.
   */
  gg.dsepractice.chinese.v1alpha1.GameSessionStatus getStatus();
}
